{
  "version": 1,
  "cli": {
    "defaultCollection": "@nrwl/angular",
    "analytics": "f90cbd17-1387-47cf-ba65-2fd50cb993eb"
  },
  "schematics": {
    "@nrwl/angular": {
      "application": {
        "linter": "eslint"
      },
      "library": {
        "linter": "eslint"
      },
      "storybook-configuration": {
        "linter": "eslint"
      }
    },
    "@nrwl/angular:application": {
      "style": "scss",
      "linter": "eslint",
      "unitTestRunner": "jest",
      "e2eTestRunner": "cypress"
    },
    "@nrwl/angular:library": {
      "style": "scss",
      "linter": "eslint",
      "unitTestRunner": "jest"
    },
    "@nrwl/angular:component": {
      "style": "scss"
    }
  },
  "defaultProject": "dar",
  "projects": {
    "dar": {
      "projectType": "application",
      "root": "apps/dar",
      "sourceRoot": "apps/dar/src",
      "prefix": "dar-lab-ng",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/apps/dar",
            "index": "apps/dar/src/index.html",
            "main": "apps/dar/src/main.ts",
            "polyfills": "apps/dar/src/polyfills.ts",
            "tsConfig": "apps/dar/tsconfig.app.json",
            "aot": true,
            "assets": [
              "apps/dar/src/favicon.ico",
              "apps/dar/src/assets"
            ],
            "styles": [
              "apps/dar/src/styles.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "apps/dar/src/environments/environment.ts",
                  "with": "apps/dar/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "dar:build",
            "proxyConfig": "apps/dar/proxy.conf.json"
          },
          "configurations": {
            "production": {
              "browserTarget": "dar:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "dar:build"
          }
        },
        "lint": {
          "builder": "@nrwl/linter:eslint",
          "options": {
            "lintFilePatterns": [
              "apps/dar/src/**/*.ts",
              "apps/dar/src/**/*.html"
            ]
          }
        },
        "test": {
          "builder": "@nrwl/jest:jest",
          "outputs": [
            "coverage/apps/dar"
          ],
          "options": {
            "jestConfig": "apps/dar/jest.config.js",
            "passWithNoTests": true
          }
        }
      }
    },
    "dar-e2e": {
      "root": "apps/dar-e2e",
      "sourceRoot": "apps/dar-e2e/src",
      "projectType": "application",
      "architect": {
        "e2e": {
          "builder": "@nrwl/cypress:cypress",
          "options": {
            "cypressConfig": "apps/dar-e2e/cypress.json",
            "tsConfig": "apps/dar-e2e/tsconfig.e2e.json",
            "devServerTarget": "dar:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "dar:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@nrwl/linter:eslint",
          "options": {
            "lintFilePatterns": [
              "apps/dar-e2e/**/*.{js,ts}"
            ]
          }
        }
      }
    },
    "api": {
      "root": "apps/api",
      "sourceRoot": "apps/api/src",
      "projectType": "application",
      "prefix": "api",
      "architect": {
        "build": {
          "builder": "@nrwl/node:build",
          "outputs": [
            "{options.outputPath}"
          ],
          "options": {
            "outputPath": "dist/apps/api",
            "main": "apps/api/src/main.ts",
            "tsConfig": "apps/api/tsconfig.app.json",
            "assets": [
              "apps/api/src/assets"
            ]
          },
          "configurations": {
            "production": {
              "optimization": true,
              "extractLicenses": true,
              "inspect": false,
              "fileReplacements": [
                {
                  "replace": "apps/api/src/environments/environment.ts",
                  "with": "apps/api/src/environments/environment.prod.ts"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@nrwl/node:execute",
          "options": {
            "buildTarget": "api:build"
          }
        },
        "lint": {
          "builder": "@nrwl/linter:eslint",
          "options": {
            "lintFilePatterns": [
              "apps/api/**/*.ts"
            ]
          }
        },
        "test": {
          "builder": "@nrwl/jest:jest",
          "outputs": [
            "coverage/apps/api"
          ],
          "options": {
            "jestConfig": "apps/api/jest.config.js",
            "passWithNoTests": true
          }
        }
      }
    },
    "api-interfaces": {
      "root": "libs/api-interfaces",
      "sourceRoot": "libs/api-interfaces/src",
      "projectType": "library",
      "architect": {
        "lint": {
          "builder": "@nrwl/linter:eslint",
          "options": {
            "lintFilePatterns": [
              "libs/api-interfaces/**/*.ts"
            ]
          }
        }
      }
    }
  }
}